summaryrefslogtreecommitdiffstats
path: root/pre-build.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 18:07:41 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-15 18:07:41 +0000
commit76926159194e180003aa78de97e5f287bf4325a5 (patch)
tree2cea7245cdc3f66355900c820c145eba90598766 /pre-build.sh
parentInitial commit. (diff)
downloadpython-apt-76926159194e180003aa78de97e5f287bf4325a5.tar.xz
python-apt-76926159194e180003aa78de97e5f287bf4325a5.zip
Adding upstream version 2.7.6.upstream/2.7.6
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'pre-build.sh')
-rwxr-xr-xpre-build.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/pre-build.sh b/pre-build.sh
new file mode 100755
index 0000000..930be76
--- /dev/null
+++ b/pre-build.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -e
+
+echo "Running pycodestyle test"
+black --check . || [ "$IGNORE_BLACK" ] || \
+ [ "$IGNORE_PYCODESTYLE" ] || [ "$IGNORE_PEP8" ]
+
+dpkg-checkbuilddeps -d 'python3-debian, python3-feedparser'
+
+echo "updating Ubuntu mirror list from launchpad"
+if [ -n "$https_proxy" ]; then
+ echo "disabling https_proxy as Python's urllib doesn't support it; see #94130"
+ unset https_proxy
+fi
+utils/get_ubuntu_mirrors_from_lp.py > data/templates/Ubuntu.mirrors
+
+echo "updating Debian mirror list"
+utils/get_debian_mirrors.py > data/templates/Debian.mirrors